Package: org.codehaus.groovy.syntax

## [Java] Class TokenMismatchException

- org.codehaus.groovy.syntax.TokenMismatchException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TokenMismatchException (Token token, int expectedType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getExpectedType()`
    `` | `Token` | `getUnexpectedToken()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public TokenMismatchException(Token token, int expectedType)

  - ### Method Detail

    - #### public int getExpectedType()

    - #### public Token getUnexpectedToken()